Ask a question
Search in Wireless Forums

Wireless Forum

Reply
Posted Jan 16, 2012
8:43:23 AM
Pantech Crossover 2.3 Upgrade

Hey! I just got this phone and I love it! I love the talk recongnition and the animation is so smooth. I have been searching stuff online and I saw a article that says this phone will be getting a 2.3 upgrade you can see it here http://www.talkandroid.com/48554-att-is-bringing-android-2-3-gingerbread-to-its-entire-lineup-of-201...

 

This was posted in July and I have been searching and no one really noticed that this phone hasn't got its upgrade. I press software update in the settings tab and it says no software updates found. DO I need to put my GPS on? I have it disabled atm.

Hey! I just got this phone and I love it! I love the talk recongnition and the animation is so smooth. I have been searching stuff online and I saw a article that says this phone will be getting a 2.3 upgrade you can see it here http://www.talkandroid.com/48554-att-is-bringing-android-2-3-gingerbread-to-its-entire-lineup-of-2011-android-smartphones/#.TxRRxPmwWpY

 

This was posted in July and I have been searching and no one really noticed that this phone hasn't got its upgrade. I press software update in the settings tab and it says no software updates found. DO I need to put my GPS on? I have it disabled atm.

Pantech Crossover 2.3 Upgrade

1,351 views
2 replies
(0) Me too
(0) Me too
Reply
View all replies
(2)
0
(0)
  • Rate this reply
View profile
Feb 2, 2012 7:30:43 AM
0
(0)
Contributor
Ya what the heck you promise back in June of 2011 and nothing. Don't forget to keep your promises to customers! Or don't say anything
Ya what the heck you promise back in June of 2011 and nothing. Don't forget to keep your promises to customers! Or don't say anything

Re: Pantech Crossover 2.3 Upgrade

2 of 3 (1,194 Views)
0
(0)
  • Rate this reply
View profile
May 24, 2012 11:37:22 PM
0
(0)
Contributor
I would like to know as well..because a lot of web sites use newer security certificates and the crossover is out of date PLUS web sites that use flash content will not load AND adobe flashplayer does not run on this phone Smiley Sad
I would like to know as well..because a lot of web sites use newer security certificates and the crossover is out of date PLUS web sites that use flash content will not load AND adobe flashplayer does not run on this phone Smiley Sad

Re: Pantech Crossover 2.3 Upgrade

3 of 3 (613 Views)
Share this post
Share this post